# Uses of Interface
org.opensaml.xmlsec.encryption.KeyLength

Packages that use KeyLength
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of KeyLength in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return KeyLength
Modifier and Type
Method
Description
`KeyLength`
PBKDF2Params.`getKeyLength()`
Get the KeyLength child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type KeyLength
Modifier and Type
Method
Description
`void`
PBKDF2Params.`setKeyLength(KeyLength length)`
Set the KeyLength child element.

## Uses of KeyLength in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement KeyLength
Modifier and Type
Class
Description
`class`
`KeyLengthImpl`
Concrete implementation of `KeyLength`.
Fields in org.opensaml.xmlsec.encryption.impl declared as KeyLength
Modifier and Type
Field
Description
`private KeyLength`
PBKDF2ParamsImpl.`keyLength`
KeyLength child element.
Methods in org.opensaml.xmlsec.encryption.impl that return KeyLength
Modifier and Type
Method
Description
`KeyLength`
KeyLengthBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`KeyLength`
KeyLengthBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`KeyLength`
PBKDF2ParamsImpl.`getKeyLength()`
Get the KeyLength child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type KeyLength
Modifier and Type
Method
Description
`void`
PBKDF2ParamsImpl.`setKeyLength(KeyLength length)`
Set the KeyLength child element.